Summary:	Text mode based programming IDE for Linux
Name:		motor
Version:	3.4.0
Release:	%{mkrel 2}
License:	GPL+
Group:		Development/Other
Source0:	http://konst.org.ua/download/%{name}-%{version}.tar.bz2
# Fix build: missing include - AdamW 2008/09
Patch0:		motor-3.4.0-includes.patch
# From Debian: fix warnings and errors in x86-64 build caused by bad
# variable casts - AdamW 2008/09
Patch1:		motor-3.4.0-debian-cast.patch
# From Debian: fix buffer overflow in VGETSTRING macro by replacing
# vsprintf by vsnprintf - AdamW 2008/09
Patch2:		motor-3.4.0-debian-vsnprintf.patch
URL:		http://konst.org.ua/en/motor
BuildRequires:	libncurses-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot	

%description
Motor is a text mode based programming environment for Linux. It
consists of a powerful editor with syntax highlight feature, project
manager, makefile generator, gdb front-end, etc. Deep CVS integration
is also provided.

%prep
%setup -q
%patch0 -p1 -b .include
%patch1 -p1 -b .cast
%patch2 -p1 -b .vsnprintf

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall
%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr (-,root,root)
%doc README INSTALL TODO ChangeLog
%{_bindir}/%{name}
%{_bindir}/%{name}sync
%{_datadir}/%{name}/*
%{_mandir}/man1/*



%changelog
* Sat Sep 06 2008 Adam Williamson <awilliamson@mandriva.com> 3.4.0-2mdv2009.0
+ Revision: 281785
- clean file list
- don't package COPYING
- use %%makeinstall
- s,$RPM_BUILD_ROOT,%%{buildroot}
- use configure2_5x not configure
- drop excessive Whale Shit
- re-wrap description
- clean tabs / spaces
- update URL
- add debian-vsnprintf.patch: from Debian, fix a buffer overflow
- add debian-cast.patch: from Debian, fix x86-64 build (bad variable casts)
- add includes.patch: fix build with GCC 4.3 (missing include)
- new license policy
- drop unnecessary defines

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request
    - use %%mkrel
    - import motor

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Feb 22 2005 Lenny Cartier <lenny@mandrakesoft.com> 3.4.0-1mdk
- 3.4.0

* Tue Jul 27 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.2.4-4mdk
- rebuild for new g++
- patch 0: fix compiling with new g++

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.2.4-3mdk
- buildrequires

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.2.4-2mdk
- rebuild

* Thu Dec 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.2.4-1mdk
- 3.2.4

* Thu Apr 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.2.2-1mdk
- 3.2.2

* Tue Feb 05 2002  Lenny Cartier <lenny@mandrakesoft.com> 3.2.0-1mdk
- 3.2.0

* Thu Nov 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.1.5-1mdk
- 3.1.5

* Wed Oct 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.1.0-1mdk
- 3.1.0

* Mon Aug 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.0.0-1mdk
- 3.0.0

* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.20.14-1mdk
- updated to 2.20.14

* Thu Apr 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.15.7-1mdk
- updated to 2.15.7

* Tue Feb 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.6.3-1mdk
- updated to 2.6.3

* Mon Dec 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.0-1mdk
- updated to 2.0.0

* Tue Nov 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.14.19-1mdk 
- updated to 1.14.19

* Thu Oct 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.11.16-1mdk
- updated to 1.11.16

* Mon Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.7.12-1mdk
- BM
- macros
- v1.7.12

* Tue Jul 04 2000 John Johnson <jjohnson@linux-mandrake.com> 1.2.3-1mdk
- Made mandrake rpm
